The Imagick constructor

- « Imagick::compositeImage

- Imagick::contrastImage »

- PHP Manual
- Imagick
- The Imagick constructor

# Imagick::__construct

(PECL imagick 2, PECL imagick 3)

Imagick::__construct — The Imagick constructor

### Description

public Imagick::__construct(mixed `$files` = ?)

Creates an Imagick instance for a specified image or set of images.

### Parameters

`files`

  The path to an image to load or an array of paths. Paths can include wildcards for file names, or can be URLs.

### Errors/Exceptions

Throws ImagickException on error.